Bug 107711 - [patch] math/lapack: make fetchable
Summary: [patch] math/lapack: make fetchable
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Maho Nakata
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-01-09 17:30 UTC by Boris Samorodov
Modified: 2007-01-29 23:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Samorodov freebsd_committer 2007-01-09 17:30:08 UTC
	The port is not fetchable now (invalid checksum): the default
	version changed and distfiles for v 3.0 should be used explicitly.

Fix: The distfile tarball is not changed (nor checksums), only it's name
	is not a symlink to lapack.tgz (and manpages.tgz) anymore.



WBR
-- 
bsam--qxq0r4uChb0t4Bc1caY4cWWfr2MworeDvHhZ1UTiQ2zohGz5
Content-Type: text/plain; name="lapack.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="lapack.diff"

Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/math/lapack/Makefile,v
retrieving revision 1.29
diff -u -r1.29 Makefile
--- Makefile	9 Jan 2007 12:33:23 -0000	1.29
+++ Makefile	9 Jan 2007 16:40:37 -0000
@@ -11,7 +11,7 @@
 CATEGORIES=	math
 MASTER_SITES=	ftp://ftp.netlib.org/lapack/
 DISTNAME=	LAPACK
-DISTFILES=	lapack.tgz manpages.tgz
+DISTFILES=	lapack-3.0.tgz manpages-3.0.tgz
 
 MAINTAINER=	jmz@FreeBSD.org
 COMMENT=	A library of Fortran 77 subroutines for linear algebra
Index: distinfo
===================================================================
RCS file: /home/pcvs/ports/math/lapack/distinfo,v
retrieving revision 1.10
diff -u -r1.10 distinfo
--- distinfo	22 Jan 2006 12:56:31 -0000	1.10
+++ distinfo	9 Jan 2007 16:40:37 -0000
@@ -1,6 +1,6 @@
-MD5 (lapack/lapack.tgz) = a24f59304f87b78cdc7da2ae59c98664
-SHA256 (lapack/lapack.tgz) = 393613641f80745e7e8445fd0f3e4f5f66a5e340c8115cd4d780b0f53e2b31a6
-SIZE (lapack/lapack.tgz) = 4991992
-MD5 (lapack/manpages.tgz) = 50efab6cd73a9429584f7f1537f1727f
-SHA256 (lapack/manpages.tgz) = 02e30cba357adb5feb4b38a9747e1e3633732aa4a68c326cbd8220fd43c853c6
-SIZE (lapack/manpages.tgz) = 721308
+MD5 (lapack/lapack-3.0.tgz) = a24f59304f87b78cdc7da2ae59c98664
+SHA256 (lapack/lapack-3.0.tgz) = 393613641f80745e7e8445fd0f3e4f5f66a5e340c8115cd4d780b0f53e2b31a6
+SIZE (lapack/lapack-3.0.tgz) = 4991992
+MD5 (lapack/manpages-3.0.tgz) = 50efab6cd73a9429584f7f1537f1727f
+SHA256 (lapack/manpages-3.0.tgz) = 02e30cba357adb5feb4b38a9747e1e3633732aa4a68c326cbd8220fd43c853c6
+SIZE (lapack/manpages-3.0.tgz) = 721308
Comment 1 Edwin Groothuis freebsd_committer 2007-01-09 17:30:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jmz

Over to maintainer
Comment 2 jmz freebsd_committer 2007-01-29 11:33:01 UTC
Responsible Changed
From-To: jmz->maho

Over to new maintainer.
Comment 3 dfilter service freebsd_committer 2007-01-29 23:44:50 UTC
maho        2007-01-29 23:44:44 UTC

  FreeBSD ports repository

  Modified files:
    math/lapack          Makefile distinfo 
  Log:
  Fix fetchable now (invalid checksum): the default
  version changed to 3.1 and distfiles for v 3.0 should
  be used explicitly.
  
  PR:             107711
  Submitted by:   jmz
  
  Revision  Changes    Path
  1.32      +1 -1      ports/math/lapack/Makefile
  1.11      +6 -6      ports/math/lapack/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Maho Nakata freebsd_committer 2007-01-29 23:44:57 UTC
State Changed
From-To: open->closed

Committed, thanks!